<link type="text/css" rel="stylesheet" href="{{ asset('bundles/elbotradeproduct/stylesheets/productCatalogStyle.css') }}"/>
<link type="text/css" rel="stylesheet" href="{{ asset('bundles/elbotradeproduct/stylesheets/product.fancybox.css') }}"/>
<link type="text/css" rel="stylesheet" href="{{ asset('bundles/elbotradelayout/css/bootstrap.css') }}"/>

<div class="container-fluid">
    <div class="row flexbox">
        <div class="col-lg-8 col-md-8 col-sm-12 col-xs-12 text-center container-table a">
            <p class="main-img">
                <img class="large" src="{{ asset('bundles/elbotradelayout/images/fancybox_loading.gif') }}"
                     data-src="{{ product.images|length > 0 ? product.images[0].path|imagine_filter('sylius_large') : 'http://placehold.it/300?text=No Image!' }}"
                     alt="" class="imgmedia-object"/>
            </p>
        </div>
        <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12 product-images">
            <div class="product-details b">
                <p><h3>{% if product.name == 'noname' %}{{ product.taxons.first.name }}{% else %}{{ product.name }}{% endif %}</h3></p>
                <p>{% if product.description is not null and product.description != product.name %}{{ product.description|nl2br }}{% else %}{{ product.taxons.first.description|nl2br }}{% endif %}</p>
            </div>
            <div class="scrolly scrollx c">
                {% for image in product.images %}
                    <p class="padding-5 text-center pull-left flex-item">
                        <img class="thumb" src="{{ asset('bundles/elbotradelayout/images/fancybox_loading.gif') }}"
                             data-src="{{ image ? image.path|imagine_filter('sylius_small') : 'http://placehold.it/90x60' }}"
                             data-href="{{ image ? image.path|imagine_filter('sylius_large') : 'http://placehold.it/90x60' }}"
                             alt="" class="imgmedia-object"/>
                    </p>
                {% endfor %}
                {% if product.media is not null %}
                    <p class="padding-5 text-center pull-left flex-item">
                        <a href="{% path product.media, 'reference' %}" target="_blank"><span class="glyphicon glyphicon-th-large glyphicon-file" style="font-size: 4em;">{{ 'products.catalog'|trans({}, 'content') }}</span></a>
                    </p>
                {% endif %}
            </div>
        </div>
    </div>
</div>

<script src="{{ asset('bundles/elbotradelayout/js/jquery.js') }}"></script>
<script src="{{ asset('bundles/elbotradelayout/js/bootstrap.min.js') }}"></script>
<script>
    $("document").ready(function (e) {
        $('img').each(function () {
            var src = $(this).data('src');
            $(this).attr('src', src);
        });

        $(".thumb").on("click", function() {
            var href = $(this).data("href");
            $(".large").attr("src", href);
        })
    });
</script>